org.keycloak.services.resources.admin

## Class GroupResource

- java.lang.Object
- - org.keycloak.services.resources.admin.GroupResource

-     public class GroupResource
      extends Object

  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupResource(RealmModel realm, GroupModel group, KeycloakSession session, AdminPermissionEvaluator auth, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `addChild(GroupRepresentation rep)` Set or create child.
    `void` | `deleteGroup()`
    `GroupRepresentation` | `getGroup()`
    `ManagementPermissionReference` | `getManagementPermissions()` Return object stating whether client Authorization permissions have been initialized or not and a reference
    `Stream<UserRepresentation>` | `getMembers(Integer firstResult, Integer maxResults, Boolean briefRepresentation)` Get users Returns a stream of users, filtered according to query parameters
    `RoleMapperResource` | `getRoleMappings()`
    `ManagementPermissionReference` | `setManagementPermissionsEnabled(ManagementPermissionReference ref)` Return object stating whether client Authorization permissions have been initialized or not and a reference
    `static ManagementPermissionReference` | `toMgmtRef(GroupModel group, AdminPermissionManagement permissions)`
    `javax.ws.rs.core.Response` | `updateGroup(GroupRepresentation rep)` Update group, ignores subgroups.
    `static void` | `updateGroup(GroupRepresentation rep, GroupModel model)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupResource

          public GroupResource(RealmModel realm,
                               GroupModel group,
                               KeycloakSession session,
                               AdminPermissionEvaluator auth,
                               AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### getGroup

          @GET
           @Produces(value="application/json")
          public GroupRepresentation getGroup()

      Returns:

    - #### updateGroup

          @PUT
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response updateGroup(GroupRepresentation rep)

      Update group, ignores subgroups.
      Parameters:
        `rep` -

    - #### deleteGroup

          @DELETE
          public void deleteGroup()

    - #### addChild

          @POST
           @Path(value="children")
           @Produces(value="application/json")
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response addChild(GroupRepresentation rep)

      Set or create child. This will just set the parent if it exists. Create it and set the parent if the group doesn't exist.
      Parameters:
        `rep` -

    - #### updateGroup

          public static void updateGroup(GroupRepresentation rep,
                                         GroupModel model)

    - #### getRoleMappings

          @Path(value="role-mappings")
          public RoleMapperResource getRoleMappings()

    - #### getMembers

          @GET
           @Path(value="members")
           @Produces(value="application/json")
          public Stream<UserRepresentation> getMembers(@QueryParam(value="first")
                                                                                                                         Integer firstResult,
                                                                                                                         @QueryParam(value="max")
                                                                                                                         Integer maxResults,
                                                                                                                         @QueryParam(value="briefRepresentation")
                                                                                                                         Boolean briefRepresentation)

      Get users Returns a stream of users, filtered according to query parameters
      Parameters:
        `firstResult` - Pagination offset
        `maxResults` - Maximum results size (defaults to 100)
        `briefRepresentation` - Only return basic information (only guaranteed to return id, username, created, first and last name, email, enabled state, email verification state, federation link, and access. Note that it means that namely user attributes, required actions, and not before are not returned.)
      Returns:
        a non-null `Stream` of users

    - #### getManagementPermissions

          @Path(value="management/permissions")
           @GET
           @Produces(value="application/json")
          public ManagementPermissionReference getManagementPermissions()

      Return object stating whether client Authorization permissions have been initialized or not and a reference
      Returns:

    - #### toMgmtRef

          public static ManagementPermissionReference toMgmtRef(GroupModel group,
                                                                AdminPermissionManagement permissions)

    - #### setManagementPermissionsEnabled

          @Path(value="management/permissions")
           @PUT
           @Produces(value="application/json")
           @Consumes(value="application/json")
          public ManagementPermissionReference setManagementPermissionsEnabled(ManagementPermissionReference ref)

      Return object stating whether client Authorization permissions have been initialized or not and a reference
      Returns:
        initialized manage permissions reference

Copyright © 2020 JBoss by Red Hat. All rights reserved.